xToolkit是python内置库的一个扩展库.把python的datetime,string,list,dist等数据结构重新进行了封装，扩展了部分功能．

- 适用对象：python工程师
- 作者：熊利宏
- 邮箱：xionglihong@163.com
有任何意见欢迎发送邮件，我们一起打造一个好用的python内置库的扩展库

##### 什么是xToolkit库？
库xToolkit的中文名字叫Ｘ工具集．是python内置库的一个扩展库.把python的datetime,string,list,dist等数据结构重新进行了封装，扩展了部分功能．

##### 操作文档
https://www.showdoc.cc/xToolkit?page_id=2133295307421808

##### 实例：
##### 导入xToolkit库
```python
from xToolkit import xstring, xdatetime
```
##### 判断时间格式时分正确

```
# 判断时间格式"1988-07-20"是否合规
xdatetime.shape("1988-07-20")
>>True
```
```
# 判断时间格式"1988-07-88"是否合规
xdatetime.shape("1988-07-88")
>>False
```
```
# 判断时间格式"98787987"是否合规
xdatetime.shape("98787987")
>>True
```

##### 时间模块的get方法
```
# 获取当前时间
xdatetime.get().format()
>>2020-03-30 20:52:10
```
```
# 输出当前iso时间
xdatetime.get()
>>2020-03-30T20:55:09.125681+08:00
```
```
# 时间戳转时间格式
xdatetime.get(1584689499).format()
>>2020-03-20 15:31:39
```
```
# 时间字符串转时间
xdatetime.get("2020-03-20T22:09:06.252525+0800").format()
>>2020-03-20 22:09:06
```

##### 多线程模块
```
# 函数一
def function_1(a, b, c):
    time.sleep(1)
    return a * 2, b * 2, c * 2

# 函数二
def function_2(a, b):
    time.sleep(1)
    return a * 2, b * 2

# 函数三
def function_3(a):
    time.sleep(1)
    return a * 2

# 函数四
def function_4():
    time.sleep(1)
    return 0

st = time.time()
result = xthreading([function_1, 1, 1, 1], [function_2, 2, 2], [function_3, 2], [function_4])
print(result[0])
print(result[1])
print(result[2])
print(result[3])
et = time.time()
print("运行时间：{}".format(et - st))

>> (2, 2, 2)
>> (4, 4)
>> 4
>> 0
>> 运行时间：1.0010571479797363
# 从上面的运行时间可以看出，如果单线程执行应该是4秒以上，结果为1秒,说明运行时是多线程运行
```


_更多实例请参照参考文档 https://www.showdoc.cc/xToolkit?page_id=2133295307421808_

##### 更新说明：
2019年05年10日　V0.0.10 
- xToolkit 上线啦
- 新增获取当前时间功能

2019年05年16日　V0.0.12 
- 新增格式化时间format功能，更人性化的输出时间格式
- 新增推移时间功能 
- 新增替换时间功能
- 新增判断时间格式是否正确功能 
- 新增获取时间区间功能

2019年06月11日　V0.0.21 
- 新增字符串效验功能

2019年08月20日　v0.0.25 
- 新增中国居民身份证效验功能
- 新增中国大陆手机号码效验功能
- 新增数字效验功能

2019年09月02日　v0.0.30
- 新增浮点数，银行卡效验

2020年05月28日　v0.0.43
- 新增字符串 split多分割标识

 2020年06月06日　v0.0.46
- 修护获取指定月最后一天，输入整数型字符串报错的BUG
- 新增判断整数，扩充了string.isdigit()

2020年06月22日　v0.0.47
- 新增字符串 strip多过滤标识

2020年06月28日　v0.0.48
- 修改了手机号格式判断如果为纯数字报错的BUG
- 新增多线程模块

2020年06月28日　v0.0.49
- 新增 指定时间中，年，月，周的开始时间和结束时间
- 获取时间元素中，新增 获取星期和周
- 新增 字符串转emoji表情
- 新增 emoji表情转字符串
- 新增 中文分词（精确模式，全模式）
- 新增列表模块
- 新增列表模块 计算值的频率功能

2020年06月28日　v0.0.50
- 新增 字符串格式校验加入工号格式校验
